Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Attributes | Friends
tlp::GraphProperty Class Reference
Properties

`#include <GraphProperty.h>`

Inheritance diagram for tlp::GraphProperty:
[legend]
Collaboration diagram for tlp::GraphProperty:
[legend]

List of all members.

## Public Member Functions

- GraphProperty (Graph *, std::string n="")
- void destroy (Graph *)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- bool setNodeStringValue (const node n, const std::string &v)
- bool setAllNodeStringValue (const std::string &v)
- bool setEdgeStringValue (const edge e, const std::string &v)
- bool setAllEdgeStringValue (const std::string &v)
- std::string getTypename () const
- virtual void setNodeValue (const node n, const GraphType::RealType &g)
- virtual void setAllNodeValue (const GraphType::RealType &g)
- bool hasNonDefaultValue (const node n) const
- bool hasNonDefaultValue (const edge e) const

## Static Public Attributes

- static const std::string propertyTypename

## Friends

- class GraphAbstract

## Constructor & Destructor Documentation

tlp::GraphProperty::GraphProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |  |

## Member Function Documentation

PropertyInterface* tlp::GraphProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[virtual]`

Creates an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied.

Implements tlp::PropertyInterface.

void tlp::GraphProperty::destroy | ( | Graph * |  | ) | `[virtual]`

Reimplemented from tlp::GraphObserver.

std::string tlp::GraphProperty::getTypename | ( |  | ) | const`[inline, virtual]`

Returns a string describing the type of the property. i.e. "graph", "double", "layout", "string", "integer", "color", "size", ...

Implements tlp::PropertyInterface.

bool tlp::GraphProperty::hasNonDefaultValue | ( | const edge | e | ) | const`[inline]`

bool tlp::GraphProperty::hasNonDefaultValue | ( | const node | n | ) | const`[inline]`

bool tlp::GraphProperty::setAllEdgeStringValue | ( | const std::string & | v | ) | `[virtual]`

Clears all edges registered values, and sets a new edge default value in converting the given string representation of a value. Returns true if the given string representation has been successfully converted to a value, false otherwise.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

bool tlp::GraphProperty::setAllNodeStringValue | ( | const std::string & | v | ) | `[virtual]`

Clears all nodes registered values, and sets a new node default value in converting the given string representation of a value. Returns true if the given string representation has been successfully converted to a value, false otherwise.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

virtual void tlp::GraphProperty::setAllNodeValue | ( | const GraphType::RealType & | g | ) | `[virtual]`

bool tlp::GraphProperty::setEdgeStringValue | ( | const edge | e,
|  | const std::string & | v
| ) |  | `[virtual]`

Registers a new value for the given edge in converting the given string representation. Returns true if the given string representation has been successfully converted to a value, false otherwise.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

bool tlp::GraphProperty::setNodeStringValue | ( | const node | n,
|  | const std::string & | v
| ) |  | `[virtual]`

Registers a new value for the given node in converting the given string representation. Returns true if the given string representation has been successfully converted to a value, false otherwise.

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

virtual void tlp::GraphProperty::setNodeValue | ( | const node | n,
|  | const GraphType::RealType & | g
| ) |  | `[virtual]`

## Friends And Related Function Documentation

friend class GraphAbstract`[friend]`

## Member Data Documentation

const std::string tlp::GraphProperty::propertyTypename`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012